1 Reply Latest reply: Feb 2, 2013 10:10 PM by tigers#1 Branched to a new discussion.
tigers#1 Level 1 Level 1 (0 points)

Can anyone help. I just updated Aperture and when I go to use Nik plug - ins it says the developer is not a recognised provider.